
export const tryItNowCTA = {
  header: 'Try It Now',
  links: [
    {
      text: 'MongoDB 3.2',
      href: '/mongodb-3.2'
    }, {
      text: 'Download Center',
      href: '/download-center'
    }
  ]
}

const stayInTheKnowCTA = {
  header: 'Stay in the know',
  links: [
    {
      text: 'Sign up for our newsletter',
      href: '/newsletter'
    }
  ]
}

const solutions = {
  cta: tryItNowCTA,
  linkLists: [
    [
      { href: '/products/overview', text: 'Products', bold: true },
      { href: '/products/mongodb-enterprise-advanced', text: 'MongoDB Enterprise Advanced' },
      { href: '/products/mongodb-professional', text: 'MongoDB Professional' },
      { href: '/products/development-support', text: 'Development Support' },
      { href: '/products/ops-manager', text: 'Ops Manager' },
      { href: '/cloud', text: 'Cloud Manager' },
      { href: '/products/compass', text: 'Compass' },
      { href: '/products/bi-connector', text: 'Connector for BI' }
    ], [
      { href: '/products/consulting', text: 'Services', bold: true },
      { href: '/products/development-support', text: 'Developmental Support' },
      { href: '/products/consulting', text: 'Consulting' },
      { href: 'https://university.mongodb.com/private_training', text: 'Training', newTab: true }
    ]
  ]
}

const cloud = {}

const customers = {
  cta: tryItNowCTA,
  linkLists: [
    [
      { href: '/who-uses-mongodb', text: 'Success Stories', bold: true },
      { href: '/industries/government', text: 'Government' },
      { href: '/industries/retail', text: 'Retail' },
      { href: '/industries/high-tech', text: 'High Tech' },
      { href: '/industries/financial-services', text: 'Financial Services' },
      { href: '/industries', text: 'All industries' }
    ], [
      { href: '/use-cases', text: 'Use Cases', bold: true },
      { href: '/use-cases/single-view', text: 'Single View' },
      { href: '/use-cases/internet-of-things', text: 'Internet of Things' },
      { href: '/use-cases/mobile', text: 'Mobile' },
      { href: '/use-cases/real-time-analytics', text: 'Real-Time Analytics' },
      { href: '/use-cases/personalization', text: 'Personalization' },
      { href: '/use-cases/content-management', text: 'Content Management' },
      { href: '/use-cases/catalog', text: 'Catalog' }
    ]
  ]
}

const resources = {
  cta: tryItNowCTA,
  linkLists: [
    [
      { href: '/resource-center', text: 'Resource Center', bold: true },
      { href: '/webinars', text: 'Webinars' },
      { href: '/presentations', text: 'Presentations' },
      { href: '/white-papers', text: 'White Papers' },
      { href: '/datasheets', text: 'Datasheets' },
      { href: '/events', text: 'Events' },
      { href: 'https://docs.mongodb.org/manual/', text: 'Documentation', newTab: true }
    ], [
      { href: '/what-is-mongodb', text: 'What is MongoDB', bold: true },
      { href: '/mongodb-architecture', text: 'Architecture' },
      { href: '/mongodb-scale', text: 'Scalability' },
      { href: '/nosql-explained', text: 'NoSQL Database Explained' }
    ]
  ]
}

const aboutus = {
  cta: stayInTheKnowCTA,
  linkLists: [
    [
      { href: '/company', text: 'Our Company', bold: true },
      { href: '/leadership', text: 'Leadership' },
      { href: '/investors', text: 'Investors' },
      { href: '/office-locations', text: 'Office Locations' },
      { href: '/contact', text: 'Contact Us' },
      { href: '/blog', text: 'Blog' },
      { href: '/partners', text: 'Partners' },
      { href: '/pressroom', text: 'Press Room' }
    ], [
      { href: '/careers', text: 'Careers', bold: true },
      { href: '/careers', text: 'Work at MongoDB' },
      { href: '/careers/college-students', text: 'Student Opportunities' }
    ]
  ]
}

export default {
  logoUrl: 'https://webassets.mongodb.com/_com_assets/global/mongodb-logo-white.png',
  topSections: [
    {
      text: 'Docs',
      href: 'https://docs.mongodb.org'
    }, {
      text: 'Open Source',
      href: '/community'
    }, {
      text: 'University',
      href: 'https://university.mongodb.com'
    }
  ],
  sections: [
    {
      text: 'Solutions',
      href: '/products/overview'
    }, {
      text: 'Cloud',
      href: '/cloud',
      link: true
    }, {
      text: 'Customers',
      href: '/who-uses-mongodb'
    }, {
      text: 'Resources',
      href: '/resource-center'
    }, {
      text: 'About Us',
      href: '/company'
    }
  ],
  subsections: [
    solutions,
    cloud,
    customers,
    resources,
    aboutus
  ]
}
